import { URI, Event, Deferred, WithEventBus } from '@opensumi/ide-core-browser';
import { StaticResourceService } from '@opensumi/ide-core-browser/lib/static-resource';
import { IconThemeType, IIconService, ThemeContribution, IIconTheme, IconType, IconShape, IconThemeInfo, FontIconDefinition, IconFontFamily } from '../common';
import { IconThemeStore } from './icon-theme-store';
import './icon.less';
export declare class IconService extends WithEventBus implements IIconService {
    staticResourceService: StaticResourceService;
    iconThemeStore: IconThemeStore;
    private preferenceService;
    private preferenceSchemaProvider;
    private preferenceSettings;
    private readonly logger;
    iconThemeLoaded: Deferred<void>;
    private themeChangeEmitter;
    onThemeChange: Event<IIconTheme>;
    private iconThemes;
    private iconContributionRegistry;
    currentThemeId: string;
    currentTheme: IIconTheme;
    private latestApplyTheme;
    private iconMap;
    private _regexFromString;
    private getPath;
    constructor();
    private listen;
    private styleSheetCollection;
    private appendStylesTimer;
    private appendStyleCounter;
    private doAppend;
    protected appendStyleSheet(styleSheet: string, fromExtension?: boolean): void;
    private appendExtensionIconStyle;
    protected getRandomIconClass(prefix?: string): string;
    protected getMaskStyleSheet(iconUrl: string, className: string, baseTheme?: string): string;
    protected getMaskStyleSheetWithStaticService(path: URI, className: string, baseTheme?: string): string;
    protected getBackgroundStyleSheet(iconUrl: string, className: string, baseTheme?: string): string;
    protected getBackgroundStyleSheetWithStaticService(path: URI, className: string, baseTheme?: string): string;
    fromString(str: string): string | undefined;
    encodeBase64Path(iconPath: string): string;
    fromIcon(basePath?: string, icon?: {
        [index in IconThemeType]: string;
    } | string, type?: IconType, shape?: IconShape, fromExtension?: boolean): string | undefined;
    onDidExtensionContributes(): Promise<void>;
    get preferenceThemeId(): string | undefined;
    private updateIconThemes;
    registerIconThemes(iconContributions: ThemeContribution[], basePath: URI): void;
    registerFontIcons(definitions: FontIconDefinition[], iconFontFamilies: IconFontFamily[]): void;
    getAvailableThemeInfos(): IconThemeInfo[];
    getIconTheme(themeId: string): Promise<IIconTheme | undefined>;
    applyTheme(themeId: string): Promise<void>;
    toggleIconVisible(show?: boolean): void;
}
//# sourceMappingURL=icon.service.d.ts.map