"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.aiNativeLanguageBackground = exports.aiNativeTagForeground = exports.aiNativeTagBackground = exports.aiNativeBoxShadow3 = exports.aiNativeBoxShadow2 = exports.aiNativeBoxShadow1 = exports.aiNativeCharInputBackground = exports.aiNativeRceBackground = exports.aiNativeTitleBackground = exports.aiNativeMonacoBackground = exports.aiNativeContainerBackground = exports.aiNativeBorderColorNormal = exports.aiNativeBorderColorCommon = exports.aiNativeBorderColor = exports.aiNativeIconColor = exports.inlineChatBlockBackgroundNormal = exports.inlineChatBlockBackgroundCommon = exports.aiNativeBlockBackgroundlight = exports.inlineChatInputBlur = exports.inlineChatTextNormal = exports.inlineChatTextOther = exports.inlineChatTextHighlight = exports.inlineChatTextHover = exports.inlineChatTextCommon = exports.inlineChatBoxShadow = exports.inlineChatBorderColor = exports.inlineChatBackground = void 0;
const color_1 = require("../color");
const utils_1 = require("../utils");
exports.inlineChatBackground = (0, utils_1.registerColor)('ai.native.inlineChat.background', {
    dark: new color_1.Color(new color_1.RGBA(27, 35, 43, 1)),
    light: new color_1.Color(new color_1.RGBA(237, 245, 255, 1)),
    hcDark: null,
    hcLight: null,
}, '', true);
exports.inlineChatBorderColor = (0, utils_1.registerColor)('ai.native.inlineChat.border.color', { dark: new color_1.Color(new color_1.RGBA(42, 51, 68, 0.9)), light: new color_1.Color(new color_1.RGBA(0, 0, 0, 0)), hcDark: null, hcLight: null }, '', true);
exports.inlineChatBoxShadow = (0, utils_1.registerColor)('ai.native.inlineChat.box.shadow', {
    dark: new color_1.Color(new color_1.RGBA(0, 0, 0, 0.24)),
    light: new color_1.Color(new color_1.RGBA(0, 10, 26, 0.08)),
    hcDark: null,
    hcLight: null,
}, '', true);
// 常规文字、标题、文件夹标题
exports.inlineChatTextCommon = (0, utils_1.registerColor)('ai.native.text.color.common', {
    dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.85)),
    light: new color_1.Color(new color_1.RGBA(21, 27, 33, 0.85)),
    hcDark: null,
    hcLight: null,
}, '', true);
// 正在输入、hover高亮
exports.inlineChatTextHover = (0, utils_1.registerColor)('ai.native.text.color.hover', { dark: '#fff', light: '#151b21', hcDark: null, hcLight: null }, '', true);
// 正在输入、hover高亮
exports.inlineChatTextHighlight = (0, utils_1.registerColor)('ai.native.text.color.highlight', { dark: '#fff', light: '#151b21', hcDark: null, hcLight: null }, '', true);
// 辅助
exports.inlineChatTextOther = (0, utils_1.registerColor)('ai.native.text.color.other', {
    dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.45)),
    light: new color_1.Color(new color_1.RGBA(21, 27, 33, 0.65)),
    hcDark: null,
    hcLight: null,
}, '', true);
// 常规文字、代码字段、标签、hover字段、
exports.inlineChatTextNormal = (0, utils_1.registerColor)('ai.native.text.color.normal', {
    dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.65)),
    light: new color_1.Color(new color_1.RGBA(21, 27, 33, 0.65)),
    hcDark: null,
    hcLight: null,
}, '', true);
// 输入框失去焦点
exports.inlineChatInputBlur = (0, utils_1.registerColor)('ai.native.input.color', { dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.35)), light: null, hcDark: null, hcLight: null }, '', true);
// Icon背景色
exports.aiNativeBlockBackgroundlight = (0, utils_1.registerColor)('ai.native.block.background.light', {
    dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.45)),
    light: new color_1.Color(new color_1.RGBA(21, 27, 33, 0.65)),
    hcDark: null,
    hcLight: null,
}, '', true);
// tag背景色，或者整块区域hover上去背景色
exports.inlineChatBlockBackgroundCommon = (0, utils_1.registerColor)('ai.native.block.background.common', {
    dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.08)),
    light: new color_1.Color(new color_1.RGBA(21, 27, 33, 0.06)),
    hcDark: null,
    hcLight: null,
}, '', true);
// tag背景色，或者整块区域hover上去背景色
exports.inlineChatBlockBackgroundNormal = (0, utils_1.registerColor)('ai.native.block.background.normal', { dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.05)), light: '#F4F6F8', hcDark: null, hcLight: null }, '', true);
exports.aiNativeIconColor = (0, utils_1.registerColor)('ai.native.icon.color', {
    dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.65)),
    light: '#90959A',
    hcDark: null,
    hcLight: null,
}, '', true);
// 线条颜色
exports.aiNativeBorderColor = (0, utils_1.registerColor)('ai.native.border.color', {
    dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.08)),
    light: new color_1.Color(new color_1.RGBA(21, 27, 33, 0.08)),
    hcDark: null,
    hcLight: null,
}, '', true);
exports.aiNativeBorderColorCommon = (0, utils_1.registerColor)('ai.native.border.color.common', {
    dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.35)),
    light: new color_1.Color(new color_1.RGBA(21, 27, 33, 0.85)),
    hcDark: null,
    hcLight: null,
}, '', true);
exports.aiNativeBorderColorNormal = (0, utils_1.registerColor)('ai.native.border.color.normal', {
    dark: new color_1.Color(new color_1.RGBA(255, 255, 255, 0.12)),
    light: new color_1.Color(new color_1.RGBA(21, 27, 33, 0.12)),
    hcDark: null,
    hcLight: null,
}, '', true);
exports.aiNativeContainerBackground = (0, utils_1.registerColor)('ai.native.container.background', { dark: '#222830', light: '#fff', hcDark: null, hcLight: null }, '', true);
exports.aiNativeMonacoBackground = (0, utils_1.registerColor)('ai.native.monaco.background', { dark: '#151b21', light: '#fff', hcDark: null, hcLight: null }, '', true);
exports.aiNativeTitleBackground = (0, utils_1.registerColor)('ai.native.title.background', { dark: '#222830', light: '#f1f2f3', hcDark: null, hcLight: null }, '', true);
exports.aiNativeRceBackground = (0, utils_1.registerColor)('ai.native.rce.background', {
    dark: new color_1.Color(new color_1.RGBA(60, 141, 255, 0.15)),
    light: new color_1.Color(new color_1.RGBA(60, 141, 255, 0.25)),
    hcDark: null,
    hcLight: null,
}, '', true);
exports.aiNativeCharInputBackground = (0, utils_1.registerColor)('ai.native.charinput.background', { dark: new color_1.Color(new color_1.RGBA(0, 0, 0, 0.25)), light: '#fff', hcDark: null, hcLight: null }, '', true);
exports.aiNativeBoxShadow1 = (0, utils_1.registerColor)('ai.native.boxShadow.color1', { dark: new color_1.Color(new color_1.RGBA(0, 0, 0, 0.2)), light: new color_1.Color(new color_1.RGBA(0, 0, 0, 0.05)), hcDark: null, hcLight: null }, '', true);
exports.aiNativeBoxShadow2 = (0, utils_1.registerColor)('ai.native.boxShadow.color2', { dark: new color_1.Color(new color_1.RGBA(0, 0, 0, 0.4)), light: new color_1.Color(new color_1.RGBA(0, 0, 0, 0.08)), hcDark: null, hcLight: null }, '', true);
exports.aiNativeBoxShadow3 = (0, utils_1.registerColor)('ai.native.boxShadow.color3', { dark: new color_1.Color(new color_1.RGBA(0, 0, 0, 0.24)), light: new color_1.Color(new color_1.RGBA(0, 0, 0, 0.12)), hcDark: null, hcLight: null }, '', true);
exports.aiNativeTagBackground = (0, utils_1.registerColor)('ai.native.tag.background', {
    dark: new color_1.Color(new color_1.RGBA(0, 141, 255, 0.25)),
    light: new color_1.Color(new color_1.RGBA(60, 141, 255, 0.2)),
    hcDark: null,
    hcLight: null,
}, '', true);
exports.aiNativeTagForeground = (0, utils_1.registerColor)('ai.native.tag.foreground', { dark: '#3c8dff', light: '#3c8dff', hcDark: null, hcLight: null }, '', true);
exports.aiNativeLanguageBackground = (0, utils_1.registerColor)('ai.native.language.background', { dark: '#2b333d', light: '#dbe4ee', hcDark: null, hcLight: null }, '', true);
//# sourceMappingURL=ai-native.js.map